{
    "name": "@open-kappa/mybackup",
    "version": "0.0.1",
    "description": "A lib to simplify writings of utility programs.",
    "main": "dist/mybackup/index.js",
    "bin": {
        "mybackup": "dist/mybackup/index.js"
    },
    "scripts": {
        "build": "npm run build-quick && npm run copy-files",
        "build-quick": "./node_modules/.bin/tsc",
        "copy-files": "./scripts/copy_files.sh",
        "doc": "./doc/make_doc.sh",
        "lint": "./node_modules/.bin/eslint src --ext ts",
        "prepublishOnly": "./scripts/prepublish.sh",
        "start": "node .",
        "test": "mocha --reporter scripts/mocha-reporter.js --require source-map-support/register --timeout 5000 \"dist/tests/**/*_spec.js\"",
        "update-packages": "./scripts/update_packages.sh"
    },
    "dependencies": {
        "@open-kappa/myexe": "^0.0.5",
        "@open-kappa/myjson": "^0.2.1",
        "@open-kappa/mylog": "^1.3.3",
        "@open-kappa/mypromise": "^0.0.4",
        "luxon": "^2.3.1",
        "nodemailer": "^6.7.3"
    },
    "devDependencies": {
        "@open-kappa/mytest": "^2.0.0",
        "@types/luxon": "^2.3.1",
        "@types/node": "^17.0.23",
        "@types/nodemailer": "^6.4.4",
        "@typescript-eslint/eslint-plugin": "^5.18.0",
        "@typescript-eslint/parser": "^5.18.0",
        "docdash": "^1.2.0",
        "eslint": "^8.12.0",
        "jsdoc": "^3.6.10",
        "source-map-support": "^0.5.21",
        "stacktrace-parser": "^0.1.10",
        "typedoc": "^0.22.13",
        "typedoc-plugin-pages": "^1.1.0",
        "typescript": "^4.6.3"
    },
    "keywords": [
        "backup",
        "utility",
        "mybackup",
        "typescript"
    ],
    "author": "Francesco Stefanni",
    "license": "MIT",
    "repository": {
        "type": "git",
        "url": "https://gitlab.com:open-kappa/nodejs/mybackup.git"
    },
    "bugs": {
        "url": "https://gitlab.com/open-kappa/nodejs/mybackup/issues"
    },
    "homepage": "https://open-kappa.gitlab.io/nodejs/mybackup",
    "private": false,
    "publishConfig": {
        "access": "public"
    }
}
